summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel R. van Rossum2015-06-18 16:27:37 -0500
committerDaniel R. van Rossum2015-06-18 16:27:37 -0500
commit4ed012de3ebdf9bf77417e160df32e2d21223d2f (patch)
treedb34272cb19964d47c6df65b97022013817ac2a8
downloadaur-4ed012de3ebdf9bf77417e160df32e2d21223d2f.tar.gz
initial import
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD33
2 files changed, 51 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..d3a524699a9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = pdsh
+ pkgdesc = Parallel Distributed Shell
+ pkgver = 2.29
+ pkgrel = 2
+ url = http://code.google.com/p/pdsh/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = glibc
+ depends = openssh
+ depends = readline
+ optdepends = perl: required by the dshbak utility
+ options = libtool
+ source = http://pdsh.googlecode.com/files/pdsh-2.29.tar.bz2
+ md5sums = e3512d03e491de6f1a735ab0ff702108
+
+pkgname = pdsh
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..5fc121b378d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer: drrossum <d.r.vanrossum at gmx.de>
+# Contributor: sh0 <mee@sh0.org>
+
+pkgname=pdsh
+pkgver=2.29
+pkgrel=2
+pkgdesc='Parallel Distributed Shell'
+url='http://code.google.com/p/pdsh/'
+arch=('i686' 'x86_64')
+license=('GPL')
+depends=('glibc' 'openssh' 'readline')
+optdepends=('perl: required by the dshbak utility')
+options=('libtool')
+source=("http://pdsh.googlecode.com/files/$pkgname-$pkgver.tar.bz2")
+md5sums=('e3512d03e491de6f1a735ab0ff702108')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr --mandir=/usr/share/man \
+ --without-rsh \
+ --with-ssh \
+ --with-dshgroups \
+ --with-readline || return 1
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}/" install || return 1
+ rmdir "${pkgdir}/usr/sbin"
+}
+
+# vim:set ts=2 sw=2 et: